# __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz > Class Template Reference

Inheritance diagram for __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >:

List of all members.

## Detailed Description

### template<class _Sequence, size_t _Buf_sz = 100>
class __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >

Definition at line 165 of file rope.

## Public Types

- typedef void difference_type
- typedef std::output_iterator_tag iterator_category
- typedef void pointer
- typedef void reference
- typedef _Sequence::value_type value_type

## Public Member Functions

- void append (value_type *__s, size_t __len)
- void flush ()
- sequence_buffer & operator * ()
- sequence_buffer operator++ (int)
- sequence_buffer & operator++ ()
- sequence_buffer & operator= (const value_type &__rhs)
- sequence_buffer & operator= (const sequence_buffer &__x)
- sequence_buffer & operator= (sequence_buffer &__x)
- void push_back (value_type __x)
- sequence_buffer & put (value_type __x)
- sequence_buffer (_Sequence &__s)
- sequence_buffer (sequence_buffer &__x)
- sequence_buffer (const sequence_buffer &__x)
- sequence_buffer ()
- sequence_buffer & write (value_type *__s, size_t __len)
- ~sequence_buffer ()

## Protected Attributes

- size_t _M_buf_count
- value_type _M_buffer [_Buf_sz]
- _Sequence * _M_prefix

## Member Typedef Documentation

typedef void std::iterator< std::output_iterator_tag , void , void , void , void >::difference_type `[inherited]`

Distance between iterators is represented as this type.

Definition at line 117 of file stl_iterator_base_types.h.

typedef std::output_iterator_tag std::iterator< std::output_iterator_tag , void , void , void , void >::iterator_category `[inherited]`

One of the tag types.

Definition at line 113 of file stl_iterator_base_types.h.

typedef void std::iterator< std::output_iterator_tag , void , void , void , void >::pointer `[inherited]`

This type represents a pointer-to-value_type.

Definition at line 119 of file stl_iterator_base_types.h.

typedef void std::iterator< std::output_iterator_tag , void , void , void , void >::reference `[inherited]`

This type represents a reference-to-value_type.

Definition at line 121 of file stl_iterator_base_types.h.

template<class _Sequence, size_t _Buf_sz = 100>

typedef _Sequence::value_type __gnu_cxx::sequence_buffer< _Sequence, _Buf_sz >::value_type

The type "pointed to" by the iterator.

Reimplemented from std::iterator< std::output_iterator_tag, void, void, void, void >.

Definition at line 169 of file rope.

The documentation for this class was generated from the following file:

- rope